Create Org
curl --request POST \
--url https://api.dfns.io/tenant/orgs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"name": "<string>",
"keyStores": [
{
"id": "<string>",
"primary": true
}
]
}
'import requests
url = "https://api.dfns.io/tenant/orgs"
payload = {
"name": "<string>",
"keyStores": [
{
"id": "<string>",
"primary": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"X-DFNS-USERACTION": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-DFNS-USERACTION': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', keyStores: [{id: '<string>', primary: true}]})
};
fetch('https://api.dfns.io/tenant/orgs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dfns.io/tenant/orgs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'keyStores' => [
[
'id' => '<string>',
'primary' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-DFNS-USERACTION: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dfns.io/tenant/orgs"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"keyStores\": [\n {\n \"id\": \"<string>\",\n \"primary\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-DFNS-USERACTION", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dfns.io/tenant/orgs")
.header("Authorization", "Bearer <token>")
.header("X-DFNS-USERACTION", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"keyStores\": [\n {\n \"id\": \"<string>\",\n \"primary\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dfns.io/tenant/orgs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-DFNS-USERACTION"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"keyStores\": [\n {\n \"id\": \"<string>\",\n \"primary\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"org": {
"id": "<string>",
"name": "<string>"
}
}Create Org
Create a new Org in your Tenant. The creator of the org will be granted access to the Org as the first Org Admin.
POST
/
tenant
/
orgs
Create Org
curl --request POST \
--url https://api.dfns.io/tenant/orgs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"name": "<string>",
"keyStores": [
{
"id": "<string>",
"primary": true
}
]
}
'import requests
url = "https://api.dfns.io/tenant/orgs"
payload = {
"name": "<string>",
"keyStores": [
{
"id": "<string>",
"primary": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"X-DFNS-USERACTION": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-DFNS-USERACTION': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', keyStores: [{id: '<string>', primary: true}]})
};
fetch('https://api.dfns.io/tenant/orgs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dfns.io/tenant/orgs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'keyStores' => [
[
'id' => '<string>',
'primary' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-DFNS-USERACTION: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dfns.io/tenant/orgs"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"keyStores\": [\n {\n \"id\": \"<string>\",\n \"primary\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-DFNS-USERACTION", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dfns.io/tenant/orgs")
.header("Authorization", "Bearer <token>")
.header("X-DFNS-USERACTION", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"keyStores\": [\n {\n \"id\": \"<string>\",\n \"primary\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dfns.io/tenant/orgs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-DFNS-USERACTION"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"keyStores\": [\n {\n \"id\": \"<string>\",\n \"primary\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"org": {
"id": "<string>",
"name": "<string>"
}
}Authentication
❌ Organization User (CustomerEmployee)❌ Delegated User (
EndUser)❌ Service Account
Required Permissions
Tenant:Orgs:Create: Always required.Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
Body
application/json
Response
200 - application/json
Success
Show child attributes
Show child attributes
Was this page helpful?